Bug 3926 - Upgraded from Samba 3.0.22c Running Suse Linux 10.1 Kernel 2.6.16-13.4
Upgraded from Samba 3.0.22c Running Suse Linux 10.1 Kernel 2.6.16-13.4
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.23
x86 Linux
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 19:59 UTC by Edward Ascencio
Modified: 2006-08-04 12:34 UTC (History)
1 user (show)

See Also:


Attachments
Samba Connection Log File (521.08 KB, text/plain)
2006-07-14 08:17 UTC, Edward Ascencio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Ascencio 2006-07-12 19:59:48 UTC
Permissions or build environment has changed apparently? For no apparent reason I have lost access to the following (directory) \Data\iFolder\Suse

Enlight of this recent change I check smb.conf, smbusers, smbpasswd everything seems to be inorder? 

Checked directory permissions ok? force all to the following users group fileshare. 

I could attach my configuration files, if required ... please keep in mind 
prior to the upgrade its been a stable zero down time Apache & Samba Server.

Any direction regarding this matter would be most appreciated:)
Comment 1 Edward Ascencio 2006-07-12 21:52:55 UTC
Here's some additional information-

 Samba config file created using SWAT
# from 127.0.0.1 (127.0.0.1)
# Date: 2006/07/12 19:54:25

[global]
	workgroup = DEVELOPMENT
	server string = Suse Linux 10 Samba Server 3.0.23
	map to guest = Bad User
	acl compatibility = winnt
	server signing = auto
	printcap name = cups
	add machine script = /usr/sbin/useradd  -c Machine -d /var/lib/nobody -s /bin/false %m$
	logon path = \\%L\profiles\.msprofile
	logon drive = P:
	logon home = \\%L\%U\.9xprofile
	domain master = No
	ldap ssl = no
	usershare allow guests = Yes
	valid users = edward, root
	admin users = edward, root
	read list = edward, root
	write list = edward, root
	cups options = raw
	include = /etc/samba/dhcp.conf

[homes]
	comment = Home Directories
	valid users = %S, %D%w%S
	read only = No
	inherit acls = Yes
	case sensitive = No
	browseable = No
	strict locking = No
	msdfs proxy = no

[groups]
	comment = All groups
	path = /home/groups
	read only = No
	inherit acls = Yes

[printers]
	comment = All Printers
	path = /var/tmp
	create mask = 0600
	printable = Yes
	browseable = No

[print$]
	comment = Printer Drivers
	path = /var/lib/samba/drivers
	write list = @ntadmin, root
	force group = ntadmin
	create mask = 0664
	directory mask = 0775

[data]
	comment = Suse Samba Server Data Drive
	path = /Data
	force group = fileshare
	read only = No
	guest ok = Yes
	case sensitive = No
	strict locking = No
	msdfs proxy = no
Comment 2 Edward Ascencio 2006-07-13 00:22:12 UTC
There's two nodes that access the server
Both runing Windows XP Professional with Service Pack 2, Again prior (from 3.0.22)to the upgrade I had no issues accessing Samba the its associated drives.

Comment 3 Edward Ascencio 2006-07-13 16:33:55 UTC
A snapshot of the directories permissions - 
drwxrwxrwx  8 edward fileshare  248 2006-02-01 10:50 Audo-Books
drwxrwxrwx  3 edward fileshare   88 2006-03-13 10:33 Backup
drwxrwxrwx 32 edward fileshare 1104 2006-06-29 15:44 Central Storage
drwxrwxrwx  7 edward fileshare  296 2006-07-09 08:53 iFolder
drwxrwxrwx 73 edward fileshare 2208 2006-07-13 12:20 Music
drwxrwxrwx 12 edward fileshare  336 2005-10-29 20:51 Samba Local Share
drwxrwxrwx  3 edward fileshare  160 2005-10-03 06:00 Smart Cards
Comment 4 Gerald (Jerry) Carter 2006-07-13 16:39:12 UTC
Please se this changeset:
http://websvn.samba.org/cgi-bin/viewcvs.cgi?rev=17022&view=rev
Comment 5 Edward Ascencio 2006-07-13 18:54:23 UTC
Updated smb.conf file - 
 Samba config file created using SWAT
# from 127.0.0.1 (127.0.0.1)
# Date: 2006/07/13 16:56:02

[global]
	workgroup = DEVELOPMENT
	server string = Samba 3.0.23
	map to guest = Bad User
	username map = /etc/samba/smbusers
	acl compatibility = winnt
	server signing = auto
	printcap name = cups
	add machine script = /usr/sbin/useradd  -c Machine -d /var/lib/nobody -s /bin/false %m$
	logon path = \\%L\profiles\.msprofile
	logon drive = P:
	logon home = \\%L\%U\.9xprofile
	domain master = No
	ldap ssl = no
	valid users = edward, root
	admin users = edward, root
	read list = edward, root
	write list = edward, root
	printer admin = @ntadmin, root, administrator
	cups options = raw
	include = /etc/samba/dhcp.conf

[homes]
	comment = Home Directories
	valid users = %S
	read only = No
	inherit acls = Yes
	browseable = No

[data]
	comment = Samba Data Drive
	path = /Data/
	force group = fileshare
	read only = No
	create mask = 0600
	directory mask = 0700
	inherit permissions = Yes
	inherit acls = Yes
	guest ok = Yes
	case sensitive = No
	strict locking = No
	msdfs proxy = no

[users]
	comment = All users
	path = /home
	read only = No
	inherit acls = Yes
	veto files = /aquota.user/groups/shares/

[groups]
	comment = All groups
	path = /home/groups
	read only = No
	inherit acls = Yes

[printers]
	comment = All Printers
	path = /var/tmp
	create mask = 0600
	printable = Yes
	browseable = No

[print$]
	comment = Printer Drivers
	path = /var/lib/samba/drivers
	write list = @ntadmin, root
	force group = ntadmin
	create mask = 0664
	directory mask = 0775
Comment 6 Edward Ascencio 2006-07-13 23:14:50 UTC
In addition the following patches were deployed from Microsoft
KB914388 Vulnerability in DHCP Client Service Could Allow Remote Code Execution 
KB971283
KB917159

Unclear at present if the following had any affect? However prior and with the patches systems were able to access the Samba Server with no problems. 

Problems began after the upgrade to Samba 3.0.23,

I hope this helps? 
Comment 7 Jeremy Allison 2006-07-13 23:23:46 UTC
Please attach a debug level 10 log of the file access failing.

Thanks,

Jeremy.
Comment 8 Edward Ascencio 2006-07-14 08:17:38 UTC
Created attachment 2032 [details]
Samba Connection Log File

Hi Jerry, 
Here's Log file,


Please let me know if you need anything else?
Comment 9 Edward Ascencio 2006-07-14 08:21:28 UTC
One more thing without rebuilding the entire environment since the install was perform by binares *.rpm. 

Is there a way of administrating the patch? 
Comment 10 Edward Ascencio 2006-07-14 10:40:02 UTC
Here's Network layout
172.16.0.15X/255.255.255.0  Internal Nic primary development system
172.16.0.5X/255.255.255.0 Apachesys(Suse Linux Server 10.1)Runing "Samba/Apache"
172.16.0.15X/255.255.255.0 Oracle 10g2 SQL-SERVER.
172.16.0.5X/255.255.255.0 mobile client via WIFI 802.11G 
172.16.0.2XX/255.255.255.0 Linksys 54GTRS v4 Router which handles DHCP/NAT.

Comment 11 Edward Ascencio 2006-07-18 16:29:32 UTC
Rolled back using Samba 3.0.22-11 (with 3.022.13-18 updates from novell).
And I'm under working conditions. 
 
Attempted to upgrade to 3.0.23 same condition was met, with no avail. 

Will continue to use 3.0.22_13-18 until Samba releases a revisied edition to the Samba's 3.0.23 branch.

Comment 12 Gerald (Jerry) Carter 2006-08-04 12:34:08 UTC
I think this is fixed in 3.0.23b (to be relese soon).
Please test the current SAMBA_3_0_RELEASE svn branch if possible.
Also available at rsync://rsync.samba.org/ftp/unpacked/samba_3_0_release